Skip to navigation

Delete Page

Deletes one content page.

Warning

Query parameters not recognized This endpoint does not recognize query parameters.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

pageIdstringRequired
The ID of the page to be operated on.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body that the client accepts. Typically application/json.

Response

No content. A 204 response with no payload indicates successful deletion of all specified pages.

Errors

404
Not Found Error